{% use 'form_div_layout.html.twig' %}

{%- block form_start -%}
  {%- set attr = attr|merge({'class': (attr.class is defined and attr.class|length > 0) ? attr.class~' form' : 'form'}) -%}
  {{- parent() -}}
{%- endblock -%}

{%- block form_errors -%}
  {%- if errors|length > 0 -%}
    <ul class="form-errors">
      {%- for error in errors -%}
        <li>{{ error.message }}</li>
      {%- endfor -%}
    </ul>
  {%- endif -%}
{%- endblock -%}

{%- block form_row -%}
  <div class="row">
    {{- form_label(form) -}}
    {{- form_errors(form) -}}
    {{- form_widget(form) -}}
  </div>
{%- endblock -%}

{%- block button_row -%}
  <div class="row">
    {{- form_widget(form) -}}
  </div>
{%- endblock -%}

{%- block button_widget -%}
  {%- set attr = attr|merge({'class': (attr.class is defined and attr.class|length > 0) ? attr.class~' button' : 'button'}) -%}
  {{- parent() -}}
{%- endblock -%}

{%- block markdown_row -%}
  {%- set attr = attr|merge({'class': (attr.class is defined and attr.class|length > 0) ? attr.class~' markdown-input' : 'markdown-input'}) -%}
  <div class="row markdown-row">
    {{- form_label(form) -}}
    {{- form_errors(form) -}}
    {{- block('textarea_widget') -}}
    <p class="markdown-help">
      {#- TODO: don't link to an external site -#}
      <a href="http://commonmark.org/help/" target="_blank">
        {{- 'markdown_type.help'|trans -}}
      </a>
    </p>
    <div class="markdown-preview-container"></div>
  </div>
{%- endblock -%}

{%- block captcha_widget -%}
  {%- spaceless -%}
    <div>
      {%- if not reload -%}
        <img src="{{ captcha_code }}" alt="" title="captcha" width="{{ captcha_width }}" height="{{ captcha_height }}">
      {%- else -%}
        <a class="captcha_reload" href="javascript:reload_{{ image_id }}();">
          <img src="{{ captcha_code }}" alt="" id="{{ image_id }}" title="{{ 'Renew'|trans({}, 'gregwar_captcha') }}" width="{{ captcha_width }}" height="{{ captcha_height }}">
        </a>
        <script type="text/javascript">
          function reload_{{ image_id }}() {
            var img = document.getElementById('{{ image_id }}');
            img.src = '{{ captcha_code }}?n=' + (new Date()).getTime();
          }
        </script>
      {%- endif -%}
    </div>
    {{- form_widget(form) -}}
  {%- endspaceless -%}
{%- endblock -%}
